﻿@using Auction.BusinessLogicLayer.Identity
@using Auction.DataAccessLayer.Entities.Identity
@model IEnumerable<Auction.Models.ApplicationRole>

@{
    ViewBag.Title = "Roles";
}

<div class="panel panel-primary">
    <div class="panel-heading">Roles</div>
    <table class="table table-striped">
        <tr>
            <th>ID</th>
            <th>Name</th>
            <th>Users</th>
            <th style="min-width: 150px"></th>
        </tr>
        @if (Model.Count() == 0)
        {
            <tr>
                <td colspan="4" class="text-center">No roles</td>
            </tr>
        }
        else
        {
            foreach (var role in Model)
            {
                <tr>
                    <td>@role.Id</td>
                    <td>@role.Name</td>
                    <td>
                        @if (role.Users == null || role.Users.Count == 0)
                        {
                            @: There are no users in this role
                        }
                        else
                        {
                            <p>
                                @string.Join(", ", role.Users.Select(x =>
                                Html.GetUserName(x.UserId)))
                        </p>
                    }
                    </td>
                    <td>
                        @using (Html.BeginForm("Delete", "Roles", new { id = role.Id }))
                        {
                            @Html.ActionLink("Edit", "Edit", new { id = role.Id },
                                new { @class = "btn btn-primary btn-xs", style = "float:left; margin-right:5px" })
                            <button class="btn btn-danger btn-xs" type="submit">Delete</button>
                        }
                    </td>
                </tr>
            }
        }
    </table>
</div>
@Html.ActionLink("Create", "Create", null, new { @class = "btn btn-primary" })

